
# Class: AuWidgetPreviewMockupSlider

## Hierarchy

  ↳ [AuBaseWidget](aubasewidget.md)

  ↳ **AuWidgetPreviewMockupSlider**

## Implements

* [IWidget](../interfaces/iwidget.md)
* [IRestorableWidget](../interfaces/irestorablewidget.md)

## Index

### Properties

* [_isRestoring](auwidgetpreviewmockupslider.md#_isrestoring)
* [params](auwidgetpreviewmockupslider.md#params)
* [previewResourceUrl](auwidgetpreviewmockupslider.md#previewresourceurl)

### Methods

* [checkInitDependenciesWidgets](auwidgetpreviewmockupslider.md#checkinitdependencieswidgets)
* [createPreviewResource](auwidgetpreviewmockupslider.md#createpreviewresource)
* [exportWidgetData](auwidgetpreviewmockupslider.md#exportwidgetdata)
* [resetPreloaderState](auwidgetpreviewmockupslider.md#resetpreloaderstate)
* [restoreWidgetFromData](auwidgetpreviewmockupslider.md#restorewidgetfromdata)
* [showPreloader](auwidgetpreviewmockupslider.md#showpreloader)
* [showToast](auwidgetpreviewmockupslider.md#showtoast)
* [updateParams](auwidgetpreviewmockupslider.md#updateparams)

## Properties

###  _isRestoring

• **_isRestoring**: *boolean*

___

###  params

• **params**: *any*

*Inherited from [AuBaseWidget](aubasewidget.md).[params](aubasewidget.md#params)*

Compiled widget configuration.

___

###  previewResourceUrl

• **previewResourceUrl**: *string*

## Methods

###  checkInitDependenciesWidgets

▸ **checkInitDependenciesWidgets**(): *string[]*

*Inherited from [AuBaseWidget](aubasewidget.md).[checkInitDependenciesWidgets](aubasewidget.md#checkinitdependencieswidgets)*

Returns an array of widget names, due to which the current widget cannot receive parameters.

**Returns:** *string[]*

___

###  createPreviewResource

▸ **createPreviewResource**(): *Promise‹string›*

**Returns:** *Promise‹string›*

___

###  exportWidgetData

▸ **exportWidgetData**(`force`: boolean): *Promise‹PreviewMockupSliderData›*

*Implementation of [IRestorableWidget](../interfaces/irestorablewidget.md)*

**Parameters:**

Name | Type |
------ | ------ |
`force` | boolean |

**Returns:** *Promise‹PreviewMockupSliderData›*

___

###  resetPreloaderState

▸ **resetPreloaderState**(): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[resetPreloaderState](aubasewidget.md#resetpreloaderstate)*

**Returns:** *void*

___

###  restoreWidgetFromData

▸ **restoreWidgetFromData**(`data`: PreviewMockupSliderData, `force`: boolean): *Promise‹void›*

**Parameters:**

Name | Type |
------ | ------ |
`data` | PreviewMockupSliderData |
`force` | boolean |

**Returns:** *Promise‹void›*

___

###  showPreloader

▸ **showPreloader**(`isPreload`: boolean, `message`: string | string[], `timeout`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showPreloader](aubasewidget.md#showpreloader)*

Shows a preloader.

```
"onClick": [
  "{{#function main.showPreloader(true, 'Creating print files...')}}",
  "{{#function $["editor"].getHiResImages(800,800)}}",
  "{{#function main.showPreloader(false)}}"
]
```

**Parameters:**

Name | Type | Default | Description |
------ | ------ | ------ | ------ |
`isPreload` | boolean | - | If `true`, enables the preloader. |
`message` | string &#124; string[] |  [""] | A text message that appears next to the preloader.  |
`timeout` | number | 5 | - |

**Returns:** *void*

___

###  showToast

▸ **showToast**(`data?`: string, `duration?`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showToast](aubasewidget.md#showtoast)*

Shows a toast.

```
return editor.loadUserInfo(data)
    .catch(err => {
        this.widget.showToast("Error: Invalid data");
        console.log(err);
    });
```

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`data?` | string | A string message to display in the toast. |
`duration?` | number | Defines how long to show the toast for.  |

**Returns:** *void*

___

###  updateParams

▸ **updateParams**(`params`: [PreviewMockupSliderConfig](../interfaces/previewmockupsliderconfig.md)): *void*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`params` | [PreviewMockupSliderConfig](../interfaces/previewmockupsliderconfig.md) |

**Returns:** *void*
